"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.JsonNode = void 0;
const AbstractNode_1 = require("../../nodes/AbstractNode");
const Registries_1 = require("../../Registries");
class JsonNode extends AbstractNode_1.AbstractNode {
    constructor(mods) {
        super(mods);
    }
    render(path, value, view, options) {
        var _a;
        const stringified = ((_a = JSON.stringify(value)) !== null && _a !== void 0 ? _a : '').replace(/"/g, '&quot;');
        const id = view.registerChange(el => {
            const value = el.value;
            try {
                view.model.set(path, JSON.parse(value));
            }
            catch (e) {
                view.model.set(path, value || undefined);
            }
        });
        return `<div class="node json-node node-header">
      ${(options === null || options === void 0 ? void 0 : options.hideLabel) ? `` : `<label>${Registries_1.locale(path)}</label>`}
      <input data-id="${id}" value="${stringified !== null && stringified !== void 0 ? stringified : ''}">
    </div>`;
    }
}
exports.JsonNode = JsonNode;
