import { AbstractNode, NodeMods, RenderOptions } from '../../nodes/AbstractNode';
import { Path } from '../../model/Path';
import { TreeView } from '../../view/TreeView';
export declare type IRange = number | {
    min?: number;
    max?: number;
    type?: 'uniform';
} | {
    n?: number;
    p?: number;
    type: 'binomial';
};
export interface RangeNodeMods extends NodeMods<IRange> {
    integer?: boolean;
}
export declare class RangeNode extends AbstractNode<IRange> {
    integer: boolean;
    constructor(mods?: RangeNodeMods);
    parseNumber(str: string): number;
    getState(el: Element): IRange;
    render(path: Path, value: IRange, view: TreeView, options?: RenderOptions): string;
    static isExact(v?: IRange): boolean;
    static isRange(v?: IRange): boolean;
    static isBinomial(v?: IRange): boolean;
}
