"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Registries_1 = require("../../Registries");
Registries_1.COLLECTIONS.register('conditions', [
    'alternative',
    'requirements',
    'inverted',
    'reference',
    'entity_properties',
    'block_state_property',
    'match_tool',
    'damage_source_properties',
    'location_check',
    'weather_check',
    'time_check',
    'entity_scores',
    'random_chance',
    'random_chance_with_looting',
    'table_bonus',
    'killed_by_player',
    'survives_explosion'
]);
Registries_1.COLLECTIONS.register('loot-entries', [
    'empty',
    'item',
    'tag',
    'loot_table',
    'alternatives',
    'sequence',
    'group',
    'dynamic'
]);
Registries_1.COLLECTIONS.register('loot-functions', [
    'set_count',
    'set_damage',
    'set_name',
    'set_lore',
    'set_nbt',
    'set_attributes',
    'set_contents',
    'enchant_randomly',
    'enchant_with_levels',
    'looting_enchant',
    'limit_count',
    'furnace_smelt',
    'explosion_decay',
    'fill_player_head',
    'copy_name',
    'copy_nbt',
    'copy_state',
    'apply_bonus',
    'exploration_map',
    'set_stew_effect'
]);
Registries_1.COLLECTIONS.register('advancement-triggers', [
    'bee_nest_destroyed',
    'bred_animals',
    'brewed_potion',
    'changed_dimension',
    'channeled_lightning',
    'construct_beacon',
    'consume_item',
    'cured_zombie_villager',
    'effects_changed',
    'enchanted_item',
    'enter_block',
    'entity_hurt_player',
    'entity_killed_player',
    'filled_bucket',
    'fishing_rod_hooked',
    'hero_of_the_village',
    'impossible',
    'inventory_changed',
    'item_durability_changed',
    'item_used_on_block',
    'killed_by_crossbow',
    'levitation',
    'location',
    'nether_travel',
    'placed_block',
    'player_generates_container_loot',
    'player_hurt_entity',
    'player_killed_entity',
    'recipe_unlocked',
    'shot_crossbow',
    'slept_in_bed',
    'slide_down_block',
    'summoned_entity',
    'tame_animal',
    'tick',
    'thrown_item_picked_up_by_entity',
    'used_ender_eye',
    'used_totem',
    'villager_trade',
    'voluntary_exile'
]);
Registries_1.COLLECTIONS.register('enchantments', [
    'aqua_affinity',
    'bane_of_arthropods',
    'blast_protection',
    'channeling',
    'binding_curse',
    'vanishing_curse',
    'depth_strider',
    'efficiency',
    'feather_falling',
    'fire_aspect',
    'fire_protection',
    'flame',
    'fortune',
    'frost_walker',
    'impaling',
    'infinity',
    'knockback',
    'looting',
    'loyalty',
    'luck_of_the_sea',
    'lure',
    'mending',
    'multishot',
    'piercing',
    'power',
    'projectile_protection',
    'protection',
    'punch',
    'quick_charge',
    'respiration',
    'riptide',
    'sharpness',
    'silk_touch',
    'smite',
    'sweeping',
    'thorns',
    'unbreaking'
]);
Registries_1.COLLECTIONS.register('biomes', [
    'badlands',
    'badlands_plateau',
    'bamboo_jungle',
    'bamboo_jungle_hills',
    'beach',
    'birch_forest',
    'birch_forest_hills',
    'cold_ocean',
    'dark_forest',
    'dark_forest_hills',
    'deep_cold_ocean',
    'deep_frozen_ocean',
    'deep_lukewarm_ocean',
    'deep_ocean',
    'deep_warm_ocean',
    'desert',
    'desert_hills',
    'desert_lakes',
    'end_barrens',
    'end_highlands',
    'end_midlands',
    'eroded_badlands',
    'flower_forest',
    'forest',
    'frozen_ocean',
    'frozen_river',
    'giant_spruce_taiga',
    'giant_spruce_taiga_hills',
    'giant_tree_taiga',
    'giant_tree_taiga_hills',
    'gravelly_mountains',
    'ice_spikes',
    'jungle',
    'jungle_edge',
    'jungle_hills',
    'lukewarm_ocean',
    'modified_badlands_plateau',
    'modified_gravelly_mountains',
    'modified_jungle',
    'modified_jungle_edge',
    'modified_wooded_badlands_plateau',
    'mountain_edge',
    'mountains',
    'mushroom_field_shore',
    'mushroom_fields',
    'nether',
    'ocean',
    'plains',
    'river',
    'savanna',
    'savanna_plateau',
    'shattered_savanna',
    'shattered_savanna_plateau',
    'small_end_islands',
    'snowy_beach',
    'snowy_mountains',
    'snowy_taiga',
    'snowy_taiga_hills',
    'snowy_taiga_mountains',
    'snowy_tundra',
    'stone_shore',
    'sunflower_plains',
    'swamp',
    'swamp_hills',
    'taiga',
    'taiga_hills',
    'taiga_mountains',
    'tall_birch_forest',
    'tall_birch_hills',
    'the_end',
    'the_void',
    'warm_ocean',
    'wooded_badlands_plateau',
    'wooded_hills',
    'wooded_mountains'
]);
Registries_1.COLLECTIONS.register('structures', [
    'pillager_outpost',
    'mineshaft',
    'mansion',
    'jungle_pyramid',
    'desert_pyramid',
    'igloo',
    'shipwreck',
    'swamp_hut',
    'stronghold',
    'monument',
    'ocean_ruin',
    'fortress',
    'endcity',
    'buried_treasure',
    'village'
]);
Registries_1.COLLECTIONS.register('dimensions', [
    'overworld',
    'the_nether',
    'the_end'
]);
Registries_1.COLLECTIONS.register('slots', [
    'mainhand',
    'offhand',
    'head',
    'chest',
    'legs',
    'feet'
]);
Registries_1.COLLECTIONS.register('status-effects', [
    'speed',
    'slowness',
    'haste',
    'mining_fatigue',
    'strength',
    'instant_health',
    'instant_damage',
    'jump_boost',
    'nausea',
    'regeneration',
    'resistance',
    'fire_resistance',
    'water_breathing',
    'invisibility',
    'blindness',
    'night_vision',
    'hunger',
    'weakness',
    'poison',
    'wither',
    'health_boost',
    'absorption',
    'saturation',
    'glowing',
    'levitation',
    'luck',
    'unluck',
    'slow_falling',
    'conduit_power',
    'dolphins_grace',
    'bad_omen',
    'hero_of_the_village'
]);
Registries_1.COLLECTIONS.register('gamemodes', [
    'survival',
    'creative',
    'adventure',
    'spectator'
]);
Registries_1.COLLECTIONS.register('statistic-types', [
    'minecraft:broken',
    'minecraft:crafted',
    'minecraft:custom',
    'minecraft:dropped',
    'minecraft:killed',
    'minecraft:killed_by',
    'minecraft:mined',
    'minecraft:picked_up',
    'minecraft:used',
    'killedByTeam',
    'teamkill'
]);
Registries_1.COLLECTIONS.register('entity-sources', [
    'this',
    'killer',
    'killer_player'
]);
Registries_1.COLLECTIONS.register('copy-sources', [
    'block_entity',
    'this',
    'killer',
    'killer_player'
]);
Registries_1.COLLECTIONS.register('attributes', [
    'generic.max_health',
    'generic.follow_range',
    'generic.knockback_resistance',
    'generic.movement_speed',
    'generic.attack_damage',
    'generic.armor',
    'generic.armor_toughness',
    'generic.attack_speed',
    'generic.luck',
    'horse.jump_strength',
    'generic.attack_knockback',
    'generic.flying_speed',
    'zombie.spawn_reinforcements'
]);
Registries_1.COLLECTIONS.register('map-decorations', [
    'mansion',
    'monument',
    'player',
    'frame',
    'red_marker',
    'blue_marker',
    'target_x',
    'target_point',
    'player_off_map',
    'player_off_limits',
    'red_x',
    'banner_white',
    'banner_orange',
    'banner_magenta',
    'banner_light_blue',
    'banner_yellow',
    'banner_lime',
    'banner_pink',
    'banner_gray',
    'banner_light_gray',
    'banner_cyan',
    'banner_purple',
    'banner_blue',
    'banner_brown',
    'banner_green',
    'banner_red',
    'banner_black'
]);
