import { AbstractNode, NodeMods, RenderOptions } from './AbstractNode';
import { Path } from '../model/Path';
import { TreeView } from '../view/TreeView';
import { Errors } from '../model/Errors';
/**
 * Boolean node with two buttons for true/false
 */
export declare class BooleanNode extends AbstractNode<boolean> {
    /**
     * @param mods optional node modifiers
     */
    constructor(mods?: NodeMods<boolean>);
    render(path: Path, value: boolean, view: TreeView, options?: RenderOptions): string;
    validate(path: Path, value: any, errors: Errors): boolean;
}
