import { AbstractNode, NodeMods, RenderOptions, StringLikeNode } from './AbstractNode';
import { TreeView } from '../view/TreeView';
import { Path } from '../model/Path';
import { Errors } from '../model/Errors';
/**
 * Enum node that shows a list of options to choose from
 */
export declare class EnumNode extends AbstractNode<string> implements StringLikeNode {
    protected options: string[];
    static className: string;
    /**
     * @param options options to choose from in the select
     * @param mods optional node modifiers or a string to be the default value
     */
    constructor(options: string[], mods?: NodeMods<string> | string);
    getState(el: Element): string;
    render(path: Path, value: string, view: TreeView, options?: RenderOptions): string;
    renderRaw(path: Path): string;
    validate(path: Path, value: any, errors: Errors): boolean;
}
