import { AbstractNode, NodeMods, INode } from './AbstractNode';
import { TreeView } from '../view/TreeView';
import { Path } from '../model/Path';
import { IObject } from './ObjectNode';
import { SourceView } from '../view/SourceView';
import { Errors } from '../model/Errors';
/**
 * List node where children can be added and removed from
 */
export declare class ListNode extends AbstractNode<IObject[]> {
    protected children: INode<any>;
    /**
     * @param values node used for its children
     * @param mods optional node modifiers
     */
    constructor(values: INode<any>, mods?: NodeMods<IObject[]>);
    transform(path: Path, value: IObject[], view: SourceView): any;
    render(path: Path, value: IObject[], view: TreeView): string;
    private renderEntry;
    validate(path: Path, value: any, errors: Errors): boolean;
}
