import { AbstractNode, NodeMods, INode, StringLikeNode } from './AbstractNode';
import { TreeView } from '../view/TreeView';
import { Path } from '../model/Path';
import { IObject } from './ObjectNode';
import { SourceView } from '../view/SourceView';
import { Errors } from '../model/Errors';
export declare type IMap = {
    [name: string]: IObject;
};
/**
 * Map nodes similar to list nodes, but a string key is required to add children
 */
export declare class MapNode extends AbstractNode<IMap> {
    protected keys: StringLikeNode;
    protected values: INode<any>;
    /**
     *
     * @param keys node used for the string key
     * @param values node used for the map values
     * @param mods optional node modifiers
     */
    constructor(keys: StringLikeNode, values: INode<any>, mods?: NodeMods<IMap>);
    transform(path: Path, value: IMap, view: SourceView): any;
    render(path: Path, value: IMap, view: TreeView): string;
    private renderEntry;
    validate(path: Path, value: any, errors: Errors): boolean;
}
