import { AbstractNode, NodeMods, RenderOptions } from './AbstractNode';
import { Path } from '../model/Path';
import { TreeView } from '../view/TreeView';
import { Errors } from '../model/Errors';
export interface NumberNodeMods extends NodeMods<number> {
    /** Whether numbers should be converted to integers on input */
    integer?: boolean;
    /** If specified, number will be capped at this minimum */
    min?: number;
    /** If specified, number will be capped at this maximum */
    max?: number;
}
/**
 * Configurable number node with one text field
 */
export declare class NumberNode extends AbstractNode<number> {
    integer: boolean;
    min: number;
    max: number;
    /**
     * @param mods optional node modifiers
     */
    constructor(mods?: NumberNodeMods);
    getState(el: Element): number;
    render(path: Path, value: number, view: TreeView, options?: RenderOptions): string;
    validate(path: Path, value: any, errors: Errors): boolean;
}
