import { AbstractNode, NodeMods, RenderOptions, INode } from './AbstractNode';
import { TreeView } from '../view/TreeView';
import { Path } from '../model/Path';
import { SourceView } from '../view/SourceView';
import { Errors } from '../model/Errors';
export interface AnyNodeMods extends NodeMods<any> {
    [name: string]: any;
}
/**
 * Reference node. Must be used when recursively adding nodes.
 */
export declare class ReferenceNode extends AbstractNode<any> {
    protected reference: () => INode<any>;
    options: RenderOptions;
    /**
     * @param id schema id that was registered
     * @param mods optional node modifiers
     */
    constructor(id: string, mods?: AnyNodeMods);
    default(value?: any): any;
    transform(path: Path, value: any, view: SourceView): any;
    render(path: Path, value: any, view: TreeView, options?: RenderOptions): string;
    validate(path: Path, value: any, errors: Errors): boolean;
}
