"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ReferenceNode = void 0;
const AbstractNode_1 = require("./AbstractNode");
const Registries_1 = require("../Registries");
/**
 * Reference node. Must be used when recursively adding nodes.
 */
class ReferenceNode extends AbstractNode_1.AbstractNode {
    /**
     * @param id schema id that was registered
     * @param mods optional node modifiers
     */
    constructor(id, mods) {
        super(mods);
        this.options = {
            collapse: mods === null || mods === void 0 ? void 0 : mods.collapse
        };
        this.reference = () => Registries_1.SCHEMAS.get(id);
    }
    default(value) {
        return this.reference().default(value);
    }
    transform(path, value, view) {
        var _a;
        return (_a = this.reference()) === null || _a === void 0 ? void 0 : _a.transform(path, value, view);
    }
    render(path, value, view, options) {
        var _a;
        return (_a = this.reference()) === null || _a === void 0 ? void 0 : _a.render(path, value, view, { ...this.options, ...options });
    }
    validate(path, value, errors) {
        var _a;
        return (_a = this.reference()) === null || _a === void 0 ? void 0 : _a.validate(path, value, errors);
    }
}
exports.ReferenceNode = ReferenceNode;
