import { AbstractNode, NodeMods, RenderOptions, StringLikeNode } from './AbstractNode';
import { Path } from '../model/Path';
import { TreeView } from '../view/TreeView';
import { Errors } from '../model/Errors';
export interface StringNodeMods extends NodeMods<string> {
    /** Whether the string can also be empty */
    allowEmpty?: boolean;
}
/**
 * Simple string node with one text field
 */
export declare class StringNode extends AbstractNode<string> implements StringLikeNode {
    allowEmpty: boolean;
    /**
     * @param mods optional node modifiers
     */
    constructor(mods?: StringNodeMods);
    getState(el: Element): string;
    render(path: Path, value: string, view: TreeView, options?: RenderOptions): string;
    renderRaw(): string;
    validate(path: Path, value: any, errors: Errors): boolean;
}
