import { ModelListener, DataModel } from "../model/DataModel";
export interface IView extends ModelListener {
    render: () => void;
    setModel: (mode: DataModel) => void;
}
export declare abstract class AbstractView implements IView {
    model: DataModel;
    target: HTMLElement;
    /**
     * @param model data model this view represents and listens to
     * @param target DOM element to render the view
     */
    constructor(model: DataModel, target: HTMLElement);
    /**
     * Updates the data model that this view represents
     * @param newModel updated data model
     */
    setModel(newModel: DataModel): void;
    /**
     * Renders this view to the target
     */
    abstract render(): void;
    /**
     * Re-renders the view
     * @override
     */
    invalidated(): void;
}
