"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AbstractView = void 0;
class AbstractView {
    /**
     * @param model data model this view represents and listens to
     * @param target DOM element to render the view
     */
    constructor(model, target) {
        this.model = model;
        this.target = target;
        model.addListener(this);
    }
    /**
     * Updates the data model that this view represents
     * @param newModel updated data model
     */
    setModel(newModel) {
        this.model.removeListener(this);
        this.model = newModel;
        this.model.addListener(this);
    }
    /**
     * Re-renders the view
     * @override
     */
    invalidated() {
        this.render();
    }
}
exports.AbstractView = AbstractView;
