import { DataModel } from '../model/DataModel';
import { AbstractView } from './AbstractView';
declare type SourceViewOptions = {
    indentation?: number | string;
    rows?: number;
};
/**
 * JSON representation view of the model.
 * Renders the result in a <textarea>.
 */
export declare class SourceView extends AbstractView {
    options?: SourceViewOptions;
    target: HTMLTextAreaElement;
    /**
     * @param model data model this view represents and listens to
     * @param target DOM element to render the view
     * @param options optional options for the view
     */
    constructor(model: DataModel, target: HTMLTextAreaElement, options?: SourceViewOptions);
    /**
     * @override
     */
    render(): void;
}
export {};
